Плагин Android для Eclipse (ADT) исчезает после обновления SDK 20

Я только что обновился до Android SDK rev 20 и с тех пор не смог установить плагин ADT в Eclipse 3.7.2. Хотя пакет (Android DDMS, Android Development Tools) упоминается в установленном программном обеспечении Eclipse, я не показывал ни один проект или перспектив Android, в тот момент, когда я не могу установить путь SDK в Windows / Preferences. .. Я также пытался переустановить, нада. Аксессуар: Linux Ubuntu 12.04 Спасибо за помощь!

Solutions Collecting From Web of "Плагин Android для Eclipse (ADT) исчезает после обновления SDK 20"

SDK r20 работает только с ADT r20, поэтому вам также нужно обновить ADT.

Чтобы обновить ADT, выполните следующую процедуру:

  1. В eclipse go: Справка -> Установить новое программное обеспечение …

  2. Теперь в поле Work with полем введите эту ссылку https://dl-ssl.google.com/android/eclipse/

  3. Теперь нажмите enter. Ниже вы увидите некоторые элементы в виде списка. Выберите все и нажмите кнопку Далее.

  4. Теперь примите соглашение и нажмите «Далее».

Это обновит ваш ADT. Вы должны уметь видеть это в затмении

Для получения дополнительной информации см. Сайт разработчика Android

У меня были те же проблемы на Ubuntu 12.10. Я обнаружил, что это связано с тем, что я использовал Java 1.5. После перехода на Java 1.7 проблема исчезла

Какой JVM является вашим дефолтом по Ubuntu? Для ADT требуется JVM, который может корректно обрабатывать хранилища ключей. Использование Sun Java 6 в порядке.

Кроме того, ADT имеет необязательные зависимости к некоторым инструментам веб-сервисов (WST) для связанных с XML функций. Может быть, вы можете проверить, правильно ли она установлена?

И если ничего другого не помогает: Eclipse 3.8 и 4.2 были выпущены 6 дней назад, поэтому просто использовать новую установку Eclipse 4.2 вместе с ADT 20 может быть лучшим выбором в долгосрочной перспективе.

У нас была аналогичная проблема.

Решив его, перейдите в Help -> Check For Updates.

Отмените выбор всего, кроме элементов, которые указывают версию 20. Невозможно запомнить точный список наизусть. Затем нажмите «Далее» и следуйте инструкциям.

Должен решить проблему.

Изменить: самым важным из них является «Android Development Tools». Другие 3 Android также важны.

Установка опции «-vm» в eclipse.ini с помощью JDK 1.6 решила проблему для меня.

Попытка удалить / установить не помогла.